<?php

namespace Litepie\Master\Repositories\Eloquent;

use Litepie\Master\Interfaces\MasterRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litepie\Master\Repositories\Eloquent\Presenters\MasterItemPresenter;


class MasterRepository extends BaseRepository implements MasterRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litepie.master.master.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litepie.master.master.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return MasterItemPresenter::class;
    }
}
